html, body {
    padding: 0px;
    margin: 0px;
    min-height: 100vh;
}

.loginform {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#loginForm {
    min-width: 250px;
}

.loginform .logo {
    text-align: center;
}

.loginform .logo > img {
    height: 150px;
    width: 150px;
    margin: 0px auto;
}

.loginform input {
    margin: 5px auto;
}

.loginform .button_place {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

.form-control:focus {
    border-color: #004400;
    box-shadow: 0px 0px 5px #004400;
}

button:active, button:focus {
    outline: none !important;
    box-shadow: none !important;
}

.error_message {
    color: #C00;
    font-size: 14px;
    opacity: 0;
    transition: all 0.8s;
}

.error_message.show {
    opacity: 1;
}

.loginform .login_button {
}


.navbar .logo {
    width: 100%;
    height: 60px;
}


.navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .show > .nav-link {
    color: #198754;
    font-weight: 500;
}

/*navbar account Acction*/
.account_action {
    z-index: 100;
}

.action {
    position: absolute;
    top: 20px;
    right: 30px;
}

.action .profile {
    position: relative;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    overflow: hidden;
    cursor: pointer;
}

.action .profile img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.action .profile .account_icon {
    font-size: 45px;
    color: #557665;
}

.action .menu {
    position: absolute;
    top: 60px;
    right: -10px;
    padding: 10px 20px;
    background: #fff;
    width: 200px;
    box-sizing: 0 5px 25px rgba(0, 0, 0, 0.1);
    border-radius: 15px;
    transition: 0.5s;
    visibility: hidden;
    opacity: 0;
}

.action .menu.active {
    top: 80px;
    visibility: visible;
    opacity: 1;
    box-shadow: 0px 0px 3px #a7a7a7;
}

.action .menu::after {
    content: '';
    top: -8px;
    right: 28px;
    width: 20px;
    height: 20px;
    position: absolute;
    transform: rotate(45deg);
    border: 10px solid transparent;
    border-bottom: 10px solid #FFF;
    box-shadow: -2px -2px 3px #a7a7a7;
    z-index: 16;
    background: #FFF;
}

.action .menu h3 {
    width: 100%;
    text-align: center;
    font-size: 18px;
    padding: 20px 0;
    font-weight: 500;
    color: #555;
    line-height: 1.5em;
}

.action .menu h3 span {
    font-size: 14px;
    color: #cecece;
    font-weight: 300;
}

.action .menu ul li {
    list-style: none;
    padding: 16px 0;
    border-top: 1px solid rgba(0, 0, 0, 0.05);
    display: flex;
    align-items: center;
}

.action .menu ul li img {
    max-width: 20px;
    margin-right: 10px;
    opacity: 0.5;
    transition: 0.5s;
}

.action .menu ul li:hover img {
    opacity: 1;
}

.action .menu ul li a {
    display: inline-block;
    text-decoration: none;
    color: #555;
    font-weight: 500;
    transition: 0.5s;
}

.action .menu ul li:hover a {
    color: #198754;
    cursor: pointer;
}

.action_list {
    padding: 0px;
    margin-bottom: 0px;
}

.action_list a {
    width: 100%
}

.action_list i {
    margin-right: 5px;
}

/* SECTION BODY STYLES*/

.section_view {
    min-height: 85%;
    width: 100%;
    display: flex;
    flex-direction: row;
}

.section_view .left_block, .section_view .main_block {
    display: flex;
    flex-direction: column;
}

.left_block {
    border: none;
    border-right: 1px solid #ccc;
    min-width: 250px;
    max-width: 270px;
    /*width: 13%;*/
    /*flex:1;*/

}


.section_view.larger .left_block {
    max-width: 315px;
    width: auto;
    flex: 1;
}

.section_view.larger .main_block {
    flex: 4;
    width: auto;
}


.left_block .title {
    text-align: center;
    background-color: #557665;
    color: #FFF;
    font-size: 1rem;
}

.left_block .add_warehouse, .left_block .add_brand, .left_block .add_price_type, .left_block .add_employee_positions, .left_block .add_expensesType, .left_block .add_bankAccounts, .partner_type {
    margin: 5px 10px;
}

/*.left_block .add_brand, .left_block .add_price_type {
	margin: 5px 10px;
}*/
.section_view .main_block {
    /*flex: 5;*/
    width: 85%;
}

.section_view .main_block_flued {
    /*flex: 5;*/
    padding: 15px;
    width: 100%;
}

.warehouse_list, .warehouse_add_place, .brand_list, .price_types_list, .price_types_add_place, .brand_add_place, .employee_positions_add_place, .expenses_type_add_place, .partner_types_list, .partner_types_list_add_place, .bank_account_add_place {
    /*display: flex;
    flex-direction: column;*/
    text-align: center;
}

.warehouse_list, .brand_list, .partner_types_list {
    /*flex: 1;*/
    width: 100%;
}

.warehouse_list, .partner_types_list {
    border: none;
    border-bottom: 1px solid #ccc;
}

.warehouse_link {
    color: #198754;
    text-decoration: none;
}

.warehouse_link:hover {
    color: #157347;
}


.list {
    list-style: none;
    padding: 5px 0px;
    margin: 0px;
    border: none;
}

.list > li {
    padding-left: 10px;
}

.list > li.nodata {
    text-align: center;
    color: #999;
    margin: 0px auto;
    cursor: auto !important;
    padding: 2px 10px;
}

.warehouse_list li, .brand_list li, .employee_positions_list li, .expenses_type_list li, .price_types_list li, .partner_types_list li, .bank_accounts_list li {
    padding-left: 40px;
    color: rgba(0, 0, 0, .55);
    transition: all 0.3s;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.warehouse_list li:not(.nodata):hover, .brand_list li:not(.nodata):hover, .expenses_type_list li:not(.nodata):hover, .bank_accounts_list li:not(.nodata):hover, .price_types_list li:not(.nodata):hover, .partner_types_list li:not(.nodata):hover {
    color: rgba(0, 0, 0, .85);
    cursor: pointer;
}

.list_item input {

}

.list_item label {
    width: 160px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    text-align: left;
}

.larger .list_item label {
    width: 180px;
}

.list_item .list_action_block {

}


.main_block {
    padding: 15px;
}

.note {
    max-width: 150px;
}


table.dataTable th.dt-type-numeric, table.dataTable th.dt-type-date {
    text-align: left;
}

table.dataTable td.dt-type-numeric, table.dataTable td.dt-type-date {
    text-align: center;
}

table.dataTable th, .modal_form th {
    text-align: left !important;
}

table.dataTable th .dt-column-title {
    position: relative;
    color: #198754;
}

table.dataTable tr.transfered {
    background-color: #6BAF6063;
}

table.dataTable tr.saled {
    background-color: #AF8D6063;
}


.main_block tfoot tr > th:not(:first-child) {
    text-align: center !important;
}


.modal_form .td_action {
    text-align: right !important;
}

.add_form {
    min-height: 50px;
}

.modal_form {
    max-height: 70vh;
    overflow-y: auto;
}

.modal_form .form-group {
    margin-bottom: 5px;
}

.swal2-title {
    font-size: 1.4rem;
}

.price_types_list li {
    margin: 2px 0px;
}

.form-check-input:checked {
    background-color: #198754;
    border-color: #198754;
}

.form-check-input:focus {
    box-shadow: 0px 0px 5px #004400;
}

.form-group-radio {
    display: flex;
}

.form-group-radio input[type="radio"] {
    margin: 0px 5px;
}


.col_filter {
    color: #6c757d;
    margin: 0px -15px 0px 15px;
}

.col_filter:hover {
    color: #004400;
}

.col_filter.filtered {
    color: #198754;
}

.filter_menu {
    position: relative;
}

.filter_menu .menu {
    visibility: hidden;
    transition: all 0.3s;
    opacity: 0px;
    display: flex;
}

.filter_menu .menu.active {
    position: absolute;
    visibility: visible;
    opacity: 1;
}


/*PRODUCT STYLES*/

.main_block_header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.add_button_place {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

.add_button_place .btn {
    margin: 0px 5px;
}

.enter_product_table {
    min-width: 1024px;
}

.enter_product_table .remove_row, .modal_form .remove_row {
    opacity: 0;
    font-size: 1.5rem;
    transition: all 0.2s;
}

.enter_product_table tr:hover .remove_row, .modal_form tr:hover .remove_row {
    opacity: 1;
    transition: all 0.2s;
    cursor: pointer;
}

.enter_product_table tr:hover .remove_row:hover, .modal_form tr:hover .remove_row:hover {
    opacity: 1;
    transition: all 0.2s;
    color: #F00;
    cursor: pointer;
}

.modal_form input.error, .modal_form .select2-selection.error, .editable_price .error {
    border: 1px solid #C00 !important;
    box-shadow: 0px 0px 3px #C00 !important;
}

.reference_row {
    display: none;
}

.row_num {
    min-width: 30px;
}

.form-switch .form-check-input:focus {
    box-shadow: none;
}

.form_filter_list {
    display: flex;
    flex-direction: row;
    list-style: none;
    justify-content: flex-start;
    margin: 0px auto;
    padding: 0px;
    text-align: left;
    border-bottom: 1px solid #333;
    padding-bottom: 10px;
    width: 100%;
}

.form_filter_list > li {
    width: 100%;
    padding: 5px 15px;
    transition: all 0.3s;
}

.form_filter_list > li:hover, .select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #79b499;
    cursor: pointer;
}

.form_filter_list > li.active {
    background-color: #198754;
    color: #FFF;
}

.select2-container .select2-selection--multiple .select2-selection__rendered {
    text-align: left;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    display: flex;
    flex-direction: row;
}

.select2-container--default .select2-selection--multiple {
    text-align: left;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #fe0000;
    border-right: 1px solid #557665;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    color: #FFF;
    background-color: #198754;
}


table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order:before, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:before, table.dataTable thead > tr > th.dt-ordering-desc span.dt-column-order:after, table.dataTable thead > tr > th.dt-ordering-asc span.dt-column-order:after {
    color: #198754 !important;
}

.input-error {
    outline: 1px solid red;
}

.list_action_block {
    display: flex;
    flex-direction: row;
    list-style: none;
    padding: 0px;
    margin: 0px;
}

.list_action_block li {
    padding: 0px 5px;
}


.company_page {
    transition: all 0.2s;
    color: #555;
    text-decoration: none;
}

.company_page:hover {
    color: #198754;
}

.company_page:active, .company_page:focus {
    box-shadow: none;
    border: transparent;
    outline: none;
}

/*.partner_info{
	display: flex;
   list-style: none;
   padding: 0px;
   justify-content: space-around;
}

.partner_info li{
	display: flex;
	flex-direction: column;
	text-align: center;
	border:none;
	border-right: 1px solid #333;
}

.partner_info li:last-child{
	border-right: none;
}
*/

.partner_info thead th {
    color: #198754;
}

.partner_sales thead, .partner_sales thead th {
    text-align: center !important;
    vertical-align: middle !important;
}

.partner_info .list_action_block .edit_partner, .partner_info .list_action_block .remove_partner, .staff_list .list_action_block, .staff_list .list_action_block .edit_staff, .staff_list .list_action_block .remove_staff, .sales_info .list_action_block .remove_sale, .sales_info .list_action_block .order_list > a, .sales_by_orderId .list_action_block .remove_sale, .list_action_block .edit_entered_product, .list_action_block .edit_entered_and_transfered_product,
.cash_desk .edit_transfer, .cash_desk .edit_bankIn, .cash_desk .edit_cashIn, .cash_desk .edit_cashOut, .cash_desk .edit_moneyInput, .cash_desk .remove_transfer, .cash_desk .edit_expenses, .expenses_list .edit_expenses, .expenses_list .remove_expenses, .product_name_list .edit_product_name, .product_name_list .remove_product_name, .list_action_block .add_sales_return, .list_action_block .edit_return_sale {
    transition: all 0.2s;
}

.list_action_block .add_sales_return:hover {
    color: #26c804 !important;
    cursor: pointer;
}

.bank_cash_desk .edit_cashIn, .bank_cash_desk .edit_transfer, .partner_info .list_action_block .edit_partner:hover, .edit_btn:hover, .edit_staff:hover, .edit_sale:hover, .cash_desk .edit_transfer:hover, .cash_desk .edit_expenses:hover, .bank_cash_desk .edit_expenses:hover, .expenses_list .edit_expenses:hover, .product_name_list .edit_product_name:hover, .cash_desk .edit_bankIn:hover, .cash_desk .edit_cashIn:hover, .edit_cashOut:hover, .edit_moneyInput:hover, .edit_entered_product:hover, .edit_entered_and_transfered_product:hover, .list_action_block .edit_return_sale:hover {
    /*color: #ffc107;*/
    color: #ffc107 !important;
    cursor: pointer;
}

.partner_info .list_action_block .remove_partner:hover, .remove_btn:hover, .remove_staff:hover, .sales_info .list_action_block .remove_sale:hover, .sales_by_orderId .list_action_block .remove_sale:hover, .cash_desk .remove_transfer:hover, .bank_cash_desk .remove_transfer:hover, .expenses_list .remove_expenses:hover, .product_name_list .remove_product_name:hover {
    color: #C00 !important;
    cursor: pointer;
}

.sales_info .list_action_block .order_list > a:hover {
    color: #198754 !important;
    cursor: pointer;
}


.staff_list .list_action_block, table:not(.sales_info) tbody .list_action_block {
    opacity: 0;
    transition: all 0.3s;
}

.staff_list tr:hover td .list_action_block, tbody tr:hover td .list_action_block {
    opacity: 1;
}

.product_name_list .btn-link:active {
    box-shadow: none;
    border-color: transparent;
}


.partner_sales .th_nowrap_col > span {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    text-align: center;
}


.sales_table .td_date {
    width: 105px;
}

.sales_table .td_invoice {
    width: 190px;
}

.sales_table .td_partners, .sales_table .td_product_name, .sales_table .td_notes {
    min-width: 190px;
}

.td_count, .td_selling_price, .td_total, .td_unit_count, .td_unit, .td_brand, .td_atg, .td_articul {
    width: 150px;
}

.td_product_name, .td_address {
    max-width: 550px;
    text-wrap: wrap !important;
}

.returned_sale {
    background-color: #f7d2d2 !important;
}

.transaction_sale {
    background-color: #ffffd2 !important;
}

.expenses_row {
    background-color: #a5ffa5 !important;
}


.totalCount {
    color: #198754;
}

.partner_sales tbody td {
    width: 250px !important;
}

.modal_form .td_product_name {
    min-width: 400px;
}

.modal_form .td_discount {
    min-width: 90px;
}

.modal_form tfoot {
    text-align: left;
}

.dt-scroll-body tfoot {
    display: none;
}

tfoot .price_format {
    color: #198754;
}

.product_prices_list .visibled_price {
    display: flex;
}

.product_prices_list tbody.editable .visibled_price {
    display: none;
}

.product_prices_list .editable_price {
    display: none;
}

.product_prices_list tbody.editable .editable_price {
    display: flex;
}


.select2-results .select2-disabled, .select2-results__option[aria-disabled=true] {
    display: none;
}

.date_range_picker_place {
    margin-right: 10px;
}

.daterangepicker td.active, .daterangepicker td.active:hover, .daterangepicker td.in-range.active {
    background-color: #198754;
}

.daterangepicker td.in-range {
    background-color: #b9eda1;
}

input[type="radio"] {
    accent-color: #198754;
}

@media (max-width: 576px) {
    .action {
        position: fixed;
        top: 10px;
        right: 40%;
    }
}

.bold {
    font-weight: bolder;
}

#bank_cash_wallet {
    transition: 0.2s all;
    cursor: pointer;
}

#bank_cash_wallet:hover {
    color: #198754;
    text-decoration: underline;
}

.bankAccountRemainder {
    text-align: left;
}